
Redmine - Defect #19348

Project name is missing for versions from sub-projects

2015-03-11 14:44 - Sebastian Paluch

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 2.6.3   

Resolution: Fixed Affected version: 2.6.2

Description

In r13325 a change has been done to remove project name for not shared versions but now when showing a Roadmap including

sub-projects, sub-project name is not added to not shared versions from sub-projects and it is not clear what the versions are for.

 

I don't know for what use cases the change was done but it seems that wrong logic operator has been used, AND should be used

instead OR.

  def format_version_name(version)    

    if !version.shared? && version.project == @project

      h(version)

    else

      h("#{version.project} - #{version}")

Associated revisions

Revision 14108 - 2015-03-15 15:05 - Jean-Philippe Lang

Restored project name as version prefix when different (#19348).

Revision 14109 - 2015-03-15 15:06 - Jean-Philippe Lang

Merged r14108 (#19348).

Revision 14110 - 2015-03-15 15:08 - Jean-Philippe Lang

Merged r14108 (#19348).

History

#1 - 2015-03-15 11:35 - Jean-Philippe Lang

- Target version set to 2.6.3

#2 - 2015-03-15 15:08 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/13325


- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
